%define anolis_release 1
# the package gets input from scanner devices from network
# can be possibly dangerous if an attacker camouflages himself
# as a scanner
%global _hardened_build 1

Name:           sane-airscan
Version:        0.99.27
Release: %{anolis_release}%{dist}
Summary:        SANE backend for AirScan (eSCL) and WSD document scanners
# the exception is defined in LICENSE, meant for SANE project in most cases
License:        GPLv2+ with exceptions
URL:            https://github.com/alexpevzner/sane-airscan
Source:         %{URL}/archive/%{version}/%{name}-%{version}.tar.gz

# backported from upstream

# needed for querying and getting mDNS messages from local network
BuildRequires:  avahi-devel
# project is written in C
BuildRequires:  gcc
# git is used during autosetup
BuildRequires:  git-core
# creating credentials and SHA256 for UUID
BuildRequires:  gnutls-devel
# needed for creating output image
BuildRequires:  libjpeg-turbo-devel, libpng-devel
# XML data are carried on HTTP protocol, we need to create them and parse them
BuildRequires:  libxml2-devel
# uses make
BuildRequires: make
# used in Makefile to get the correct compile and link flags
BuildRequires:  pkgconf-pkg-config
# package is meant to be as one of SANE backends - it uses SANE API for handling
# devices, strings, words (bytes) and backend itself
BuildRequires:  sane-backends-devel

# needs shared library implementing the backend
Requires: libsane-airscan = %{version}-%{release}

%description
This package contains a tool for discovering scanning devices in cases
when automatic discovery fails - airscan-discover.

%package -n libsane-airscan
Summary: SANE backend for eSCL or WSD

# USB scanners which support IPP-over-USB interface can communicate
# via sane-airscan once ipp-usb brings up an IPP interface for them
# remove for now until migration app is implemented
#Recommends: ipp-usb

%description -n libsane-airscan
This package contain a SANE backend for MFP and document scanners that
implements either eSCL (AirScan/AirPrint scanning) or WSD "driverless"
scanning protocol.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -S git

%build
# we need to set default CFLAGS, CPPFLAGS and LDFLAGS to get flags
# from build system into the build, otherwise project's default
# are used
%set_build_flags
%make_build

%check
make check

%install
mkdir -p %{buildroot}/
%make_install STRIP=''

%generate_compatibility_deps

%files
%license COPYING LICENSE
%{_bindir}/airscan-discover
%{abidir}/airscan-discover-option.list

# I'm not fond of wildcards in %%files, but FPG demands it for manpages
%{_mandir}/man1/airscan-discover.1*

%files -n libsane-airscan
%license COPYING LICENSE
%dir %{_sysconfdir}/sane.d
%config(noreplace) %{_sysconfdir}/sane.d/airscan.conf
%dir %{_sysconfdir}/sane.d/dll.d
%config(noreplace) %{_sysconfdir}/sane.d/dll.d/airscan
%dir %{_libdir}/sane
%{_libdir}/sane/libsane-airscan.so.1
%dir %{abidir}
%{abidir}/libsane-airscan.dump

# I'm not fond of wildcards in %%files, but FPG demands it for manpages
%{_mandir}/man5/sane-airscan.5*

%files doc
%doc README.md
 
%changelog
* Mon Mar 20 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 0.99.27-1
- Init package from upstream
